package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BasePreventIce;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* = 九防台账-防冰
* @author wuhonghao
* @date 2021/11/12
*/
@Mapper
@Repository
public interface BasePreventIceMapper {

    /**
    * 新增
    */
    int insert(BasePreventIce basePreventIce);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BasePreventIce basePreventIce);

    /**
    * 获取单个
    */
    BasePreventIce getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BasePreventIce> getList(BasePreventIce basePreventIce);

}
